Bug 76159 - Errata kernel 2.4.18-17.8.0 fails PCI resource allocation
Errata kernel 2.4.18-17.8.0 fails PCI resource allocation
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i586 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-17 13:57 EDT by Mace Moneta
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-04 13:22:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mace Moneta 2002-10-17 13:57:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020823
Netscape/7.0

Description of problem:
Following installation of the Redhat 8.0 Errata kernel and hwdata (2002-10-15
RHSA-2002:206 Security Advisory New kernel fixes local security issues) on a
Toshiba 730 laptop, the system will not complete a boot (following copied
manually from screen):

PCI: Cannot allocate resource region 0 of device 01:04.0
PCI: Cannot allocate resource region 0 of device 01:08.0
PCI: Cannot allocate resource region 0 of device 01:0c.0
PCI: Cannot allocate resource region 1 of device 01:0c.0
PCI: Failed to allocate resource 0(0-fff) for 01:01.0
PCI: Failed to allocate resource 0(0-fff) for 01:01.1
PCI: Failed to allocate resource 0(0-7f) for 01:04.0
PCI: Failed to allocate resource 0(0-7) for 01:08.0
PCI: Failed to allocate resource 0(0-ff) for 01:0c.0
PCI: Failed to allocate resource 1(0-fff) for 01:0c.0
Loading aic7xxx module
PCI: Device 01:08.0 not available because of resource collisions
PCI: Device 01:0c.0 not available because of resource collisions
/lib/aic7xxx.o init_module
Error: /bin/insmod exited abnormally!
Loading tmscsim module
PCI: Device 01:04.0 not available because of resource collisions
/lib/tmscsim.o init_module
Error: /bin/insmod exited abnormally!

As a result of these errors, the SCSI drives are not accessible, and the boot
fails.  This machine boots normally with the prior (base Redhat 8.0, 2.4.18-14)
kernel.  Two other machines (a dual PPro 200 and a Toshiba 5105 P4 laptop) work
fine with the new kernel and hwdata installed.

lspci -v-v-v on the (good) 2.4.18-14 kernel:

00:00.0 Host bridge: Toshiba America Info Systems 601 (rev 11)
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort+ >SERR- <PERR-
        Latency: 0, cache line size 08

00:02.0 CardBus bridge: Toshiba America Info Systems ToPIC95 (rev 07)
        Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=slow >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at 10000000 (32-bit, non-prefetchable) [disabled] [size=4K]
        Bus: primary=00, secondary=14, subordinate=14, sec-latency=0
        Memory window 0: 00000000-00000000 [disabled]
        Memory window 1: 00000000-00000000 [disabled]
        I/O window 0: 00000000-00000003 [disabled]
        I/O window 1: 00000000-00000003 [disabled]
        BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt- PostWrite-

00:02.1 CardBus bridge: Toshiba America Info Systems ToPIC95 (rev 07)
        Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr-DEVSEL=slow >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin B routed to IRQ 11
        Region 0: Memory at 10001000 (32-bit, non-prefetchable) [disabled] [size=4K]
        Bus: primary=00, secondary=15, subordinate=15, sec-latency=0
        Memory window 0: 00000000-00000000 [disabled]
        Memory window 1: 00000000-00000000 [disabled]
        I/O window 0: 00000000-00000003 [disabled]
        I/O window 1: 00000000-00000003 [disabled]
        BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt- PostWrite-

00:03.0 ISA bridge: Toshiba America Info Systems: Unknown device 0606 (rev 02)
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-

00:04.0 VGA compatible controller: Chips and Technologies F65550 (rev 05)
(prog-if 00 [VGA])
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping+ SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Region 0: Memory at fe000000 (32-bit, non-prefetchable) [size=16M]
        Expansion ROM at <unassigned> [disabled] [size=256K]

00:06.0 PCI bridge: Toshiba America Info Systems: Unknown device 0605 (rev 04)
(prog-if 00 [Normal decode])
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=slow >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0
        Bus: primary=00, secondary=01, subordinate=13, sec-latency=0
        I/O behind bridge: 00000000-00000fff
        Memory behind bridge: 00000000-000fffff
        Prefetchable memory behind bridge: 00000000-000fffff
        BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-

01:01.0 CardBus bridge: Toshiba America Info Systems ToPIC95 PCI to CardBus
Bridge for Notebooks (rev 04)
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=slow >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Region 0: Memory at 10002000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=01, secondary=12, subordinate=12, sec-latency=0
        Memory window 0: 00000000-00000000
        Memory window 1: 00000000-00000000
        I/O window 0: 00000000-00000003
        I/O window 1: 00000000-00000003
        BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt- PostWrite-

01:01.1 CardBus bridge: Toshiba America Info Systems ToPIC95 PCI to CardBus
Bridge for Notebooks (rev 04)
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=slow >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Region 0: Memory at 10003000 (32-bit, non-prefetchable) [size=4K]
        Bus: primary=01, secondary=13, subordinate=13, sec-latency=0
        Memory window 0: 00000000-00000000
        Memory window 1: 00000000-00000000
        I/O window 0: 00000000-00000003
        I/O window 1: 00000000-00000003
        BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt- PostWrite-

01:04.0 SCSI storage controller: Advanced Micro Devices [AMD] 53c974 [PCscsi]
(rev 10)
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr+
Stepping+ SERR+ FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (1000ns min, 10000ns max)
        Interrupt: pin A routed to IRQ 11
        Region 0: I/O ports at ff80 [size=128]

01:08.0 Serial controller: Siig Inc CyberSerial (1-port) 16550 (prog-if 02 [16550])
        Subsystem: Siig Inc CyberSerial (1-port) 16550
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 11
        Region 0: I/O ports at ff78 [size=8]
        Capabilities: [a0] Power Management version 1
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

01:0c.0 SCSI storage controller: Adaptec AHA-2940U/UW/D / AIC-7881U
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (2000ns min, 2000ns max), cache line size 08
        Interrupt: pin A routed to IRQ 11
        Region 0: I/O ports at fe00 [disabled] [size=256]
        Region 1: Memory at fdfff000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at fdfe0000 [disabled] [size=64K]


lspci -v-v-v on the (bad) 2.4.18-17.8.0 kernel:

00:00.0 Class 0600: 1179:0601 (rev 11)
        Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort+ >SERR- <PERR-
        Latency: 0, cache line size 08

00:02.0 Class 0607: 1179:060a (rev 07)
        Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=slow >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin A routed to IRQ 11
        Region 0: Memory at 10000000 (32-bit, non-prefetchable) [disabled] [size=4K]
        Bus: primary=00, secondary=14, subordinate=14, sec-latency=0
        Memory window 0: 00000000-00000000 [disabled]
        Memory window 1: 00000000-00000000 [disabled]
        I/O window 0: 00000000-00000003 [disabled]
        I/O window 1: 00000000-00000003 [disabled]
        BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt- PostWrite-

00:02.1 Class 0607: 1179:060a (rev 07)
        Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=slow >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0
        Interrupt: pin B routed to IRQ 11
        Region 0: Memory at 10001000 (32-bit, non-prefetchable) [disabled] [size=4K]
        Bus: primary=00, secondary=15, subordinate=15, sec-latency=0
        Memory window 0: 00000000-00000000 [disabled]
        Memory window 1: 00000000-00000000 [disabled]
        I/O window 0: 00000000-00000003 [disabled]
        I/O window 1: 00000000-00000003 [disabled]
        BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt- PostWrite-
00:03.0 Class 0601: 1179:0606 (rev 02)
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-

00:04.0 Class 0300: 102c:00e0 (rev 05)
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping+ SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Region 0: Memory at fe000000 (32-bit, non-prefetchable) [size=16M]
        Expansion ROM at <unassigned> [disabled] [size=256K]

00:06.0 Class 0604: 1179:0605 (rev 04)
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=slow >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Latency: 0
        Bus: primary=00, secondary=01, subordinate=13, sec-latency=0
        I/O behind bridge: 00000000-00000fff
        Memory behind bridge: 00000000-000fffff
        Prefetchable memory behind bridge: 00000000-000fffff
        BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-

01:01.0 Class 0607: 1179:0603 (rev 04)
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=slow >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Region 0: Memory at <unassigned> (32-bit, non-prefetchable) [size=4K]
        Bus: primary=01, secondary=12, subordinate=12, sec-latency=0
        Memory window 0: 00000000-00000000
        Memory window 1: 00000000-00000000
        I/O window 0: 00000000-00000003
        I/O window 1: 00000000-00000003
        BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt- PostWrite-

01:01.1 Class 0607: 1179:0603 (rev 04)
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=slow >TAbort- <TAbort-
<MAbort- >SERR- <PERR-
        Region 0: Memory at <unassigned> (32-bit, non-prefetchable) [size=4K]
        Bus: primary=01, secondary=13, subordinate=13, sec-latency=0
        Memory window 0: 00000000-00000000
        Memory window 1: 00000000-00000000
        I/O window 0: 00000000-00000003
        I/O window 1: 00000000-00000003
        BridgeCtl: Parity- SERR- ISA- VGA- MAbort- >Reset- 16bInt- PostWrite-

01:04.0 Class 0100: 1022:2020 (rev 10)
        Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping+ SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (1000ns min, 10000ns max)
        Interrupt: pin A routed to IRQ 11
        Region 0: I/O ports at <ignored> [size=128]

01:08.0 Class 0700: 131f:2000 (prog-if 02)
        Subsystem: 131f:2000
        Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 11
        Region 0: I/O ports at <ignored> [size=8]
        Capabilities: [a0] Power Management version 1
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=0mA
PME(D0-,D1-,D2-,D3hot-,D3cold-)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-

01:0c.0 Class 0100: 9004:8178
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap- 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (2000ns min, 2000ns max), cache line size 08
        Interrupt: pin A routed to IRQ 11
        Region 0: I/O ports at <ignored> [size=256]
        Region 1: Memory at <ignored> (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at fdfe0000 [disabled] [size=64K]






Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install new kernel and hwdata
2.reboot
3.
	

Actual Results:  Error messages above

Expected Results:  Normal boot

Additional info:

This maching was newly installed with Redhat 8.0, not an upgrade.  Partitions
were formatted before installation.  Prior errata against Redhat 8.0 was
previously installed.
Comment 1 Mace Moneta 2002-11-16 13:57:13 EST
Same problem with the "2002-11-16 RHSA-2002:262" errata kernel
(kernel-2.4.18-18.8.0.i586.rpm).  The latest kernel that functions is 2.4.18-14.
Comment 2 Mace Moneta 2002-11-23 14:49:00 EST
Looking through bugzilla, it seems 78035 and 76428 are related/duplicate.  I'm
also using a docking station on the Toshiba 730 experiencing this problem.
Comment 3 Mace Moneta 2003-01-18 11:17:38 EST
Verified that the latest vanilla kernel 2.4.21-pre3 also has this problem, so
it's not a Redhat specific issue.
Comment 4 Mace Moneta 2003-01-21 12:58:20 EST
Received the following patch from Ivan Kokshaysky <ink@jurassic.park.msu.ru> via
the linux-kernel mlist.  Installed in 2.4.21-pre3, and confirmed proper operation:

> > 00:06.0 PCI bridge: Toshiba America Info Systems: Unknown device 0605 (rev 04)
> > (prog-if 00 [Normal decode])

Yet another broken bridge...
Does this patch help?

Ivan.

--- linux/drivers/pci/quirks.c.orig     Tue Jan 21 18:45:55 2003
+++ linux/drivers/pci/quirks.c  Tue Jan 21 18:43:13 2003
@@ -586,6 +586,7 @@ static struct pci_fixup pci_fixups[] __i
         * instead of 0x01.
         */
        {
PCI_FIXUP_HEADER,     PCI_VENDOR_ID_INTEL,    PCI_DEVICE_ID_INTEL_82380FB,    quirk_transparent_bridge
},
+       {
PCI_FIXUP_HEADER,     PCI_VENDOR_ID_TOSHIBA,  0x605,                          quirk_transparent_bridge
},
 
        {
PCI_FIXUP_FINAL,      PCI_VENDOR_ID_CYRIX,    PCI_DEVICE_ID_CYRIX_PCI_MASTER,
quirk_mediagx_master },
 
Comment 5 Arjan van de Ven 2003-03-04 13:22:27 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-069.html

Note You need to log in before you can comment on or make changes to this bug.